kr.co.hanwha.hifive.admin.admin.adapter

## Class AdminMemberDetailAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.admin.admin.adapter.AdminMemberDetailAdapter

    public class AdminMemberDetailAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>

Created by sanghoonkwon on 2018. 3. 12..

### Nested Class Summary

Nested Classes
`static interface` `AdminMemberDetailAdapter.OnAdminMemberDetailListener` Interface

### Field Summary

Fields
`private int` `COUNT_EMPTY`
`private int` `COUNT_HEADER`
`private android.content.Context` `mContext`
`private java.util.ArrayList<AdminMemberDetailHrInfo>` `mListData`
`private AdminMemberDetailAdapter.OnAdminMemberDetailListener` `mOnAdminMemberDetailListener`
`private int` `TYPE_EMPTY`
`private int` `TYPE_HEADER`
`private int` `TYPE_INFO`
`private int` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`AdminMemberDetailAdapter(android.content.Context context, AdminMemberDetailAdapter.OnAdminMemberDetailListener onAdminMemberDetailListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItems(java.util.ArrayList<AdminMemberDetailHrInfo> list)` Model
`int` `getItemCount()`
`int` `getItemViewType(int position)` View
`private boolean` `isEmpty()`
`void` `notifyDataAll()`
`void` `notifyDataRangeChanged(int positionStart, int itemCount)`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)` Adapter

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mContext

    private android.content.Context mContext

#### ZERO

    private final int ZERO

See Also:
  Constant Field Values

#### COUNT_HEADER

    private final int COUNT_HEADER

See Also:
  Constant Field Values

#### COUNT_EMPTY

    private final int COUNT_EMPTY

See Also:
  Constant Field Values

#### TYPE_EMPTY

    private final int TYPE_EMPTY

See Also:
  Constant Field Values

#### TYPE_HEADER

    private final int TYPE_HEADER

See Also:
  Constant Field Values

#### TYPE_INFO

    private final int TYPE_INFO

See Also:
  Constant Field Values

#### mListData

    private java.util.ArrayList<AdminMemberDetailHrInfo> mListData

#### mOnAdminMemberDetailListener

    private AdminMemberDetailAdapter.OnAdminMemberDetailListener mOnAdminMemberDetailListener

### Constructor Detail

#### AdminMemberDetailAdapter

    public AdminMemberDetailAdapter(@NonNull
                                    android.content.Context context,
                                    @Nullable
                                    AdminMemberDetailAdapter.OnAdminMemberDetailListener onAdminMemberDetailListener)

### Method Detail

#### getItemViewType

    public int getItemViewType(int position)

View

Overrides:
  `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### notifyDataAll

    public void notifyDataAll()

#### notifyDataRangeChanged

    public void notifyDataRangeChanged(int positionStart,
                                       int itemCount)

#### addItems

    public void addItems(java.util.ArrayList<AdminMemberDetailHrInfo> list)

Model

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Adapter

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### isEmpty

    private boolean isEmpty()